Ethernet Switching
Highlighted
Ethernet Switching

EX2300 cannot connect

[ Edited ]
‎06-16-2020 08:58 AM

I installed Junos 18.3R3.4 on an EX2300 switch.  I also updated JWeb to 18.2A1.  The switch passes traffic without issue.  The problem is that after a week or two the switch itself cannot be contacted.  JWeb doesn't work.  SSH doesn't work.  I cannot ping the switch's IP address.  But devices connected to the switch are still communicating to the rest of the network fine.

 

If I reboot the switch, I can connect to it again.  However this will go away after a week or two.

7 REPLIES 7
Highlighted
Ethernet Switching

Re: ES2300 cannot connect

‎06-16-2020 09:23 AM

Hi Jconn,

 

It seems to be you are hitting PR1442376.

https://prsearch.juniper.net/InfoCenter/index?page=prcontent&id=PR1442376

 

You will need to upgrade to 18.4R3 as it is the closest version to the one you are already in.

Highlighted
Ethernet Switching

Re: ES2300 cannot connect

‎06-16-2020 09:24 AM

Hi Jconn,

 

Greetings, 

 

Could you please check the FreeBSD kernel version ? I think this might be the matching PR, however, just check the version and the symptoms before we get there.

Link: https://prsearch.juniper.net/InfoCenter/index?page=prcontent&id=PR1442376

As per this PR, the fix is power cycle/reboot of the switch.

 

Hope this helps.Smiley Happy

 

Please mark "Accept as solution" if this answers your query. 

Kudos are appreciated too! 

 

Regards, 

Sharat Ainapur

Highlighted
Ethernet Switching

Re: ES2300 cannot connect

‎06-16-2020 09:29 AM

Yes, I think you are right jospina, he should probably upgrade to fix this rather than reboot !

 

Regards, 

Sharat

Highlighted
Ethernet Switching

Re: ES2300 cannot connect

‎07-14-2020 07:10 AM

After double-checking, I incorrectly stated which firmware I installed on the switch.  I installed 18.2R3-S4 (not 18.3R3) which is the JTAC recommended firmware for this model switch.  I see according to that problem report, I should install 18.2R3-S3.  The only version of 18.2R3 available for download appears to be 18.2R3-S4, so where do I get the 18.2R3-S3 version?

 

Or should I just move up to 18.4R3?

Highlighted
Ethernet Switching

Re: ES2300 cannot connect

‎07-14-2020 07:26 AM

Hi Jconn,

 

If the fix is introduced in Junos version 18.2R3-S3 it will be ported to the subsequent releases. It seems like you are already on 18.2R3-S4 which should contain the fix but it isn't. I think it is a Regression issue.

 

As fellow community members said, try to upgrade the Junos to 18.4R3 and check the behaviour.

 

BTW, the Juniper Software Download page contains the 18.2R3-S3. PFB, the snippet of the version from the download page.

 

junos.PNG



Thanks,
π00bm@$t€®.
Please, Mark My Solution Accepted if it Helped, Kudos are Appreciated too!!!
Highlighted
Ethernet Switching

Re: ES2300 cannot connect

‎07-14-2020 07:53 AM

Thanks. 

 

So I wasn't looking under Junos SR, I was looking under Junos.  If JTAC is recommeding Junos 18.2R3-S4 as seen here, would that be the firmware located under Junos or Junos SR?  The file under Junos is junos-arm-32-18.2R3.4.tgz, and the file under Junos SR is junos-arm-32-18.2R3-S4.1.tgz.

Highlighted
Ethernet Switching
Solution
Accepted by topic author Jconn
2 weeks ago

Re: ES2300 cannot connect

a month ago

Hi Jconn,

 

If you see S1, S2, S3, S4 next to Junos version it means these versions are Service releases. So, you got to check it under Junos SR.

 

So, please check it under Junos SR and under Junos section.



Thanks,
π00bm@$t€®.
Please, Mark My Solution Accepted if it Helped, Kudos are Appreciated too!!!
Feedback